# ``twisted`.`logger`.`LogPublisher``

class documentation

`class LogPublisher: (source)`

Implements interfaces: `twisted.logger.ILogObserver`

View In Hierarchy

ILogObserver that fans out events to other observers.

Keeps track of a set of `ILogObserver` objects and forwards events to each.

Method | `__call__` | Forward events to contained observers.
Method | `__init__` | Undocumented
Method | `addObserver` | Registers an observer with this publisher.
Method | `removeObserver` | Unregisters an observer with this publisher.
Instance Variable | `log` | Undocumented
Method | `_errorLoggerForObserver` | Create an error-logger based on this logger, which does not contain the given bad observer.
Instance Variable | `_observers` | Undocumented

def __call__(self, event): (source)
from `twisted.logger.ILogObserver`
Forward events to contained observers.

Parameters
event:`LogEvent` | Undocumented

def __init__(self, *observers): (source)

Undocumented

Parameters
*observers:`ILogObserver` | Undocumented

def addObserver(self, observer): (source)
Registers an observer with this publisher.

Parameters
observer:`ILogObserver` | An `ILogObserver` to add.

def removeObserver(self, observer): (source)
Unregisters an observer with this publisher.

Parameters
observer:`ILogObserver` | An `ILogObserver` to remove.

log = (source)

Undocumented

def _errorLoggerForObserver(self, observer): (source)
Create an error-logger based on this logger, which does not contain the given bad observer.

Parameters
observer:`ILogObserver` | The observer which previously had an error.
Returns
`Logger` | A `Logger` without the given observer.

_observers = (source)

Undocumented